# All contributions are highly appreciated!

There are many ways you can contribute to this project, and all contributions are highly appreciated.

## Post your findings & questions

If you have interesting use cases, if you have custom configurations, and generally if you have any experience that you want to share with others, please use the [GNU ARM Eclipse forum](http://www.element14.com/community/groups/gnu-arm-eclipse).

Just [register](http://www.element14.com/community/create-account.jspa) to element14 community and use the [Start a discussion](http://www.element14.com/community/discussion/create.jspa?containerID=2436&containerType=700) link.

## Submit bug reports & enhancement requests

If you are convinced you identified a bug (if you have doubts, use the forum), or you have a pertinent suggestion how to enhance the **GNU MCU Eclipse OpenOCD**, please use the [GitHub Issues](https://github.com/gnu-mcu-eclipse/openocd/issues) tracker.

Be sure you report only issues related to the **GNU MCU Eclipse OpenOCD**. **DO NOT** use it for issues related to the plug-ins or the other tools (QEMU, OpenOCD, etc), which should be addressed to their corresponding trackers. Web content issues should be addressed to the [Web Issues](https://github.com/gnuarmeclipse/gnuarmeclipse.github.io/issues/1) tracker. J-Link specific questions should be addresses to SEGGER support.

Before reporting issues, please check the list of [Known Issues](http://gnuarmeclipse.github.io/support/known-issues/) and the [FAQ](http://gnuarmeclipse.github.io/support/faq/).

When entering a new issue, be sure you provide:

* OpenOCD package version
* Eclipse version
* Java version
* operating system (sorry, no requests for Win XP 64)
* toolchain version
* the **detailed and complete list of steps to reproduce the bug** (mandatory)

Please understand that without being able to reproduce the bug we cannot identify your problem.

To be allowed to enter issues, you need first to login to GitHub.

Note: the text should respect the markdown syntax; preview the message before posting and correct if it does not look as  expected, especially inline code or other quoted text.

## Submit pull requests

The most useful contribution to the project is to submit code. GitHub greatly simplifies this process, by using pull requests.

For those not familiar with GitHub workflow, reading the official [Using pull requests](https://help.github.com/articles/using-pull-requests/) page can be of great help.

In short, the process is something like this:

* fork the Git repository to your own account
* create a custom branch
* make the desired changes
* commit to the custom branch
* submit the pull request

