# GNU MCU Eclipse OpenOCD

The **GNU MCU Eclipse OpenOCD** project is a fork of [OpenOCD](http://openocd.org), customised for a better/more convenient integration with the **GNU MCU OpenOCD Debugging** plug-in.

Expect **GNU MCU Eclipse OpenOCD** to follow official OpenOCD releases, plus several intermediate releases, as needed.

## RISC-V support

After RISC-V support was upstreamed, **GNU MCU Eclipse OpenOCD** no longer
tracks the changes from the 
[RISC-V OpenOCD](https://github.com/riscv/riscv-openocd) fork, since
some of them interfered with other targets.

## How to use

* [Overview](http://gnu-mcu-eclipse.github.io/openocd/) (read me first!)
* [Install](http://gnu-mcu-eclipse.github.io/openocd/install)
* [Eclipse plug-in](https://gnu-mcu-eclipse.github.io/debug/openocd/)
* [Support](https://github.com/gnu-mcu-eclipse/openocd/issues/1)

## How to build

* [How to build](https://github.com/gnu-mcu-eclipse/openocd-build/) (using Docker containers)
* [How to publish](https://github.com/gnu-mcu-eclipse/openocd/blob/gnu-mcu-eclipse-dev/PUBLISH.md)
* [Change log](https://github.com/gnu-mcu-eclipse/openocd-build/blob/master/CHANGELOG.txt)

## Releases & binaries

See the [releases](https://gnu-mcu-eclipse.github.io/openocd/releases/) page.
Binaries for most platforms can be downloaded from [GitHub Releases](https://github.com/gnu-mcu-eclipse/openocd/releases).


## Download analytics

* GitHub [gnu-mcu-eclipse/openocd.git](https://github.com/gnu-mcu-eclipse/openocd/)
  * latest release
[![Github All Releases](https://img.shields.io/github/downloads/gnu-mcu-eclipse/openocd/latest/total.svg)](https://github.com/gnu-mcu-eclipse/openocd/releases/)
  * all releases [![Github All Releases](https://img.shields.io/github/downloads/gnu-mcu-eclipse/openocd/total.svg)](https://github.com/gnu-mcu-eclipse/openocd/releases/)
* xPack [@gnu-mcu-eclipse/openocd](https://github.com/gnu-mcu-eclipse/openocd-xpack/)
  * latest release, per month 
[![npm (scoped)](https://img.shields.io/npm/v/@gnu-mcu-eclipse/openocd.svg)](https://www.npmjs.com/package/@gnu-mcu-eclipse/openocd/)
[![npm](https://img.shields.io/npm/dm/@gnu-mcu-eclipse/openocd.svg)](https://www.npmjs.com/package/@gnu-mcu-eclipse/openocd/)
  * all releases [![npm](https://img.shields.io/npm/dt/@gnu-mcu-eclipse/openocd.svg)](https://www.npmjs.com/package/@gnu-mcu-eclipse/openocd/)
* [individual file counters](https://www.somsubhra.com/github-release-stats/?username=gnu-mcu-eclipse&repository=openocd) (grouped per release)
  
Credits to [Shields IO](https://shields.io) and [Somsubhra/github-release-stats](https://github.com/Somsubhra/github-release-stats).